### Method

# Camel Service get_connection_status

since: 3.2

#### Declaration [src]

    CamelServiceConnectionStatus
    camel_service_get_connection_status (
      CamelService* service
    )

#### Description [src]

Returns the connection status for `service`.

Available since: 3.2

Gets property | `Camel.Service:connection-status`

#### Return value

Type: `CamelServiceConnectionStatus`

The connection status.